summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorcharIes17 <charles17@arcor.de>2017-07-10 08:46:59 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-07-20 15:26:30 +0200
commit1009be81becb469ad7408544c67173db79312aca (patch)
treecee61d94405fb25a6932e16cbf2517fd0407d1c9 /x11-wm/lumina
parentx11-wm/lumina: Revision bump lumina-1.2.0-r1 (diff)
downloadgentoo-1009be81becb469ad7408544c67173db79312aca.tar.gz
gentoo-1009be81becb469ad7408544c67173db79312aca.tar.bz2
gentoo-1009be81becb469ad7408544c67173db79312aca.zip
x11-wm/lumina: Bug 617838 and more
Fix for https://bugs.gentoo.org/617838 Fix for https://bugs.gentoo.org/616590 Switch HOMEPAGE to https:// Introduce desktop-utils USE flag for Lumina's desktop utilities Use ${PV/_/-} for Lumina's patchsets Patch 1.2.0-desktop-files.patch Package-Manager: Portage-2.3.6, Repoman-2.3.1 Closes: https://github.com/gentoo/gentoo/pull/5002
Diffstat (limited to 'x11-wm/lumina')
-rw-r--r--x11-wm/lumina/files/1.2.0-desktop-files.patch33
-rw-r--r--x11-wm/lumina/lumina-1.2.0-r1.ebuild27
-rw-r--r--x11-wm/lumina/metadata.xml3
3 files changed, 53 insertions, 10 deletions
diff --git a/x11-wm/lumina/files/1.2.0-desktop-files.patch b/x11-wm/lumina/files/1.2.0-desktop-files.patch
new file mode 100644
index 00000000000..f86c1c49c38
--- /dev/null
+++ b/x11-wm/lumina/files/1.2.0-desktop-files.patch
@@ -0,0 +1,33 @@
+--- ./src-qt5/core/lumina-info/lumina-support.desktop
++++ ./src-qt5/core/lumina-info/lumina-support.desktop
+@@ -2,8 +2,7 @@
+ Type=Link
+ URL=https://webchat.freenode.net/?channels=%23lumina-desktop
+ Icon=Lumina-DE
+-Categories=System;
+-OnlyShowIn=Lumina;
++OnlyShowIn=X-Lumina;
+ Name=Community Support
+ GenericName=Get Desktop Help
+ Comment=Ask for desktop support on the community IRC channel
+
+--- ./src-qt5/core-utils/lumina-config/lumina-config.desktop
++++ ./src-qt5/core-utils/lumina-config/lumina-config.desktop
+@@ -7,4 +7,4 @@
+ Categories=Settings;
+ Name=Desktop Configuration
+ Comment=Modify the desktop
+-OnlyShowIn=Lumina;
++OnlyShowIn=X-Lumina;
+
+--- ./src-qt5/core/lumina-info/lumina-info.desktop
++++ ./src-qt5/core/lumina-info/lumina-info.desktop
+@@ -5,7 +5,7 @@
+ Type=Application
+ StartupNotify=true
+ Categories=System;
+-OnlyShowIn=Lumina;
++OnlyShowIn=X-Lumina;
+ Name=Desktop Information
+ GenericName=Version and Legal Information
+ Comment=View information about the Lumina Desktop Environment
diff --git a/x11-wm/lumina/lumina-1.2.0-r1.ebuild b/x11-wm/lumina/lumina-1.2.0-r1.ebuild
index a0b45fb1806..6ea490a4cf1 100644
--- a/x11-wm/lumina/lumina-1.2.0-r1.ebuild
+++ b/x11-wm/lumina/lumina-1.2.0-r1.ebuild
@@ -5,14 +5,13 @@ EAPI=6
inherit qmake-utils
DESCRIPTION="Lumina desktop environment"
-HOMEPAGE="http://lumina-desktop.org/"
-I18N="161211"
-SRC_URI="https://github.com/trueos/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="https://lumina-desktop.org/"
+SRC_URI="https://github.com/trueos/${PN}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
+
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-
-IUSE=""
+IUSE="desktop-utils"
COMMON_DEPEND="dev-qt/qtcore:5
dev-qt/qtconcurrent:5
@@ -37,23 +36,31 @@ RDEPEND="$COMMON_DEPEND
sys-fs/inotify-tools
x11-misc/numlockx
x11-wm/fluxbox
- x11-apps/xbacklight
+ || ( x11-apps/xbacklight
+ sys-power/acpilight )
media-sound/alsa-utils
sys-power/acpi
app-admin/sysstat"
+S="${WORKDIR}/${P/_/-}"
+
+PATCHES=(
+ "${FILESDIR}/1.2.0-desktop-files.patch"
+)
+
src_prepare(){
default
- rm -rf src-qt5/desktop-utils || die
-
- sed -e "/desktop-utils/d" -i src-qt5/src-qt5.pro || die
+ if use !desktop-utils ; then
+ rm -rf src-qt5/desktop-utils || die
+ sed -e "/desktop-utils/d" -i src-qt5/src-qt5.pro || die
+ fi
}
src_configure(){
eqmake5 PREFIX="${EPREFIX}/usr" L_BINDIR="${EPREFIX}/usr/bin" \
L_ETCDIR="${EPREFIX}/etc" L_LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
- LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" DESTDIR="${D}" CONFIG+=WITH_I18N
+ LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" DESTDIR="${D}" CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
}
src_install(){
diff --git a/x11-wm/lumina/metadata.xml b/x11-wm/lumina/metadata.xml
index b5c7881c166..22f3211032e 100644
--- a/x11-wm/lumina/metadata.xml
+++ b/x11-wm/lumina/metadata.xml
@@ -9,6 +9,9 @@
<email>proxy-maint@gentoo.org</email>
<name>Gentoo Proxy Maintainers Project</name>
</maintainer>
+ <use>
+ <flag name="desktop-utils">Build and install lumina's desktop-utils</flag>
+ </use>
<upstream>
<maintainer status="active">
<email>ken@pcbsd.org</email>